Bug 217643 - gnome mixer applet crashes if no soundcard is present
gnome mixer applet crashes if no soundcard is present
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gnome-applets (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-28 23:02 EST by Jesse Keating
Modified: 2013-01-09 21:34 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-02 15:04:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jesse Keating 2006-11-28 23:02:02 EST
Easily dupable in xen.  Cryptic dialog regarding OAFIID:GNOME_MixerApplet. 
Obviously it shouldn't crash if there is no sound card.  Either silently fail or
run or whatever.  But not crash.  Poor user experience.

(this bug also exists in FC6)
Comment 1 Ray Strode [halfline] 2007-04-02 15:04:42 EDT
We fixed this I think.  It was gst-register taking so long to run that the
applet was timing out.

Reopen if you still see it.

Note You need to log in before you can comment on or make changes to this bug.